//------------------------------------------------------------------------------------------------
modded class SCR_MissionHeader : MissionHeader
{
	[Attribute(defvalue: "11", desc: "Name of this mission.")]
	int m_iMHT_myVariable;
};

//------------------------------------------------------------------------------------------------
modded class SCR_BaseGameMode : BaseGameMode
{
	//------------------------------------------------------------------------------------------------
	//! Get mission header and schedule printing my header variable
	override protected void OnGameStart()
	{
		super.OnGameStart();
		
		if (!Replication.IsServer())
			return;

		GetGame().GetCallqueue().CallLater(MHT_PrintMyVariable, 1000, true);
	}
	
	//------------------------------------------------------------------------------------------------
	//! Broadcast and print my variable to all clients
	protected void MHT_PrintMyVariable()
	{
		SCR_MissionHeader header = SCR_MissionHeader.Cast(GetGame().GetMissionHeader());
		if (!header)
			return;
		
		Rpc(MHT_PrintInChatBroadcast, header.m_iMHT_myVariable.ToString());
	}
	
	//------------------------------------------------------------------------------------------------
	//! Print chat message for all clients
	[RplRpc(RplChannel.Unreliable, RplRcver.Broadcast)]
	protected void MHT_PrintInChatBroadcast(string message)
	{
		PlayerController ctrl = GetGame().GetPlayerController();
		if (!ctrl)
			return;
		
		SCR_ChatComponent.Cast(ctrl.FindComponent(SCR_ChatComponent)).ShowMessage(message);
	}
}
